:root {
    --red: #d1121d;
    --dark-red: #8f0d14;
    --light-bg: #f9f9f9;
    --dark-bg: #212529;
    --dark-bg-form: #1c2024;
    --primary-text: #fff;
    --secondary-text: #000;
}

body {
    background-color: var(--light-bg);
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    color: var(--secondary-text);
}

/* --- HEADER SECTION --- */
#header-section {
    position: relative;
    color: var(--primary-text);
    display: flex;
    align-items: center;
    justify-content: center;
    /* Center the content vertically and horizontally */
    text-align: center;
}

.header-content {
    position: relative;
    z-index: 10;
    padding: 2rem 0;
}

.logo {
    position: absolute;
    top: 1rem;
    left: 1rem;
    z-index: 20;
    width: 100px;
}

/* --- TEXT SECTION --- */
#text-section {
    background-color: var(--light-bg);
    padding: 2rem 0;
}

#text-section h2 {
    font-size: 2rem;
    font-weight: 700;
    color: var(--red);
}

#text-section .lead {
    font-size: 1.5rem;
}

/* --- FORM SECTION --- */
#form-section {
    /* background: linear-gradient(to bottom, var(--light-bg) 50%, var(--dark-bg) 50%); */
    /* padding: 0 0 2em; */
}


.form-container .holder_color {
    background-color: var(--red);
}

.form-container .form-text {
    color: var(--primary-text) !important;
}

.form-control,
.form-select {
    border: 1px solid #ccc;
    border-radius: 0.5rem;
    padding: 0.75rem;
}

.form-label {
    font-weight: 500;
}

/* Custom file input styling */
.custom-file-upload {
    background-color: var(--dark-red);
    color: var(--primary-text);
    border-radius: 0.5rem;
    padding: 0.75rem;
    text-align: center;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    margin-top: 1rem;
}

.custom-file-upload:hover {
    background-color: var(--light-bg);
    color: var(--secondary-text);
}

#file-upload {
    display: none;
}

/* Submit button styling */
.btn-submit {
    background-color: var(--dark-red);
    color: var(--primary-text);
    border: none;
    padding: 0.75rem 2rem;
    font-weight: 700;
    border-radius: 0.5rem;
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.2);
    transition: transform 0.2s, box-shadow 0.2s;
}

.btn-submit:hover {
    background-color: var(--red);
    transform: translateY(-2px);
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.25);
}

.disclaimer {
    background-color: var(--dark-bg-form);
    color: var(--primary-text);
    padding: 1.5rem;
    text-align: center;
    font-size: 0.8rem;
    border-radius: 0 0 0.5rem 0.5rem;
    margin-top: 2rem;
}

.success-message {
    color: var(--primary-text);
    padding: 1.5rem;
}